class KHTMLSettings

# class KHTMLSettings | Settings for the HTML view. More...
Definition | `#include <khtml_settings.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum KJavaScriptAdvice { KJavaScriptDunno=0, KJavaScriptAccept, KJavaScriptReject }
- enum KAnimationAdvice { KAnimationDisabled=0, KAnimationLoopOnce, KAnimationEnabled }

#### Public Methods

- KHTMLSettings ()
- KHTMLSettings (const KHTMLSettings &other)
- void init ()
- void init ( KConfig * config, bool reset = true )
- virtual ~KHTMLSettings ()
- bool changeCursor () const
- bool underlineLink () const
- bool hoverLink () const
- KAnimationAdvice showAnimations () const
- QString stdFontName () const
- QString fixedFontName () const
- QString serifFontName () const
- QString sansSerifFontName () const
- QString cursiveFontName () const
- QString fantasyFontName () const
- void setStdFontName (const QString &n)
- void setFixedFontName (const QString &n)
- int minFontSize () const
- int mediumFontSize () const
- const QString & encoding () const
- const QColor& textColor () const
- const QColor& linkColor () const
- const QColor& vLinkColor () const
- bool autoLoadImages () const
- bool isBackRightClickEnabled ()
- bool isJavaEnabled ( const QString& hostname = QString::null )
- bool isJavaScriptEnabled ( const QString& hostname = QString::null )
- bool isJavaScriptDebugEnabled ( const QString& hostname = QString::null )
- bool isPluginsEnabled ( const QString& hostname = QString::null )
- QString settingsToCSS () const
- QString userStyleSheet () const
- bool isFormCompletionEnabled () const
- int maxFormCompletionItems () const
- bool isAutoDelayedActionsEnabled () const

#### Public Static Methods

- static KJavaScriptAdvice strToAdvice (const QString& _str)
- static void splitDomainAdvice (const QString& configStr, QString &domain, KJavaScriptAdvice &javaAdvice, KJavaScriptAdvice& javaScriptAdvice)
- static const char* adviceToStr (KJavaScriptAdvice _advice)
- static const QString & availableFamilies ()

## Detailed Description

Settings for the HTML view.

enum KJavaScriptAdvice { KJavaScriptDunno=0, KJavaScriptAccept, KJavaScriptReject } | ### KJavaScriptAdvice

This enum specifies whether Java/JavaScript execution is allowed.

enum KAnimationAdvice { KAnimationDisabled=0, KAnimationLoopOnce, KAnimationEnabled } | ### KAnimationAdvice

KHTMLSettings () | ### KHTMLSettings

KHTMLSettings (const KHTMLSettings &other) | ### KHTMLSettings

void init () | ### init

Called by constructor and reparseConfiguration

void init ( KConfig * config, bool reset = true ) | ### init

Read settings from `config`.

Parameters:

reset | if true, settings are always set; if false, settings are only set if the config file has a corresponding key.

~KHTMLSettings () | ### ~KHTMLSettings

[virtual]

Destructor. Don't delete any instance by yourself.

bool changeCursor () | ### changeCursor

[const]

bool underlineLink () | ### underlineLink

[const]

bool hoverLink () | ### hoverLink

[const]

KAnimationAdvice showAnimations () | ### showAnimations

[const]

QString stdFontName () | ### stdFontName

[const]

QString fixedFontName () | ### fixedFontName

[const]

QString serifFontName () | ### serifFontName

[const]

QString sansSerifFontName () | ### sansSerifFontName

[const]

QString cursiveFontName () | ### cursiveFontName

[const]

QString fantasyFontName () | ### fantasyFontName

[const]

void setStdFontName (const QString &n) | ### setStdFontName

void setFixedFontName (const QString &n) | ### setFixedFontName

int minFontSize () | ### minFontSize

[const]

int mediumFontSize () | ### mediumFontSize

[const]

const QString & encoding () | ### encoding

[const]

const QColor& textColor () | ### textColor

[const]

const QColor& linkColor () | ### linkColor

[const]

const QColor& vLinkColor () | ### vLinkColor

[const]

bool autoLoadImages () | ### autoLoadImages

[const]

bool isBackRightClickEnabled () | ### isBackRightClickEnabled

bool isJavaEnabled ( const QString& hostname = QString::null ) | ### isJavaEnabled

bool isJavaScriptEnabled ( const QString& hostname = QString::null ) | ### isJavaScriptEnabled

bool isJavaScriptDebugEnabled ( const QString& hostname = QString::null ) | ### isJavaScriptDebugEnabled

bool isPluginsEnabled ( const QString& hostname = QString::null ) | ### isPluginsEnabled

KJavaScriptAdvice strToAdvice (const QString& _str) | ### strToAdvice

[static]

void splitDomainAdvice (const QString& configStr, QString &domain, KJavaScriptAdvice &javaAdvice, KJavaScriptAdvice& javaScriptAdvice) | ### splitDomainAdvice

[static]

const char* adviceToStr (KJavaScriptAdvice _advice) | ### adviceToStr

[static]

QString settingsToCSS () | ### settingsToCSS

[const]

const QString & availableFamilies () | ### availableFamilies

[static]

QString userStyleSheet () | ### userStyleSheet

[const]

bool isFormCompletionEnabled () | ### isFormCompletionEnabled

[const]

int maxFormCompletionItems () | ### maxFormCompletionItems

[const]

bool isAutoDelayedActionsEnabled () | ### isAutoDelayedActionsEnabled

[const]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:43 2003, using kdoc 2.0a54.